class Nyan_Smoke expands Effects;

#exec OBJ LOAD FILE=Textures\NyanTra.utx  PACKAGE=NyanCatDeemerMiniBETA.Skins

var() texture RndSprite[8];
var() float RisingRate;

simulated function Tick( float DeltaTime)
{
	ScaleGlow = LifeSpan * Default.ScaleGlow / Default.LifeSpan;
}

simulated function PostBeginPlay()
{
	Texture = RndSprite[Rand(7)];
	
	Velocity = Vect(0,0,1)*RisingRate;
}

defaultproperties
{
     RndSprite(0)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(1)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(2)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(3)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(4)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(5)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(6)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RndSprite(7)=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     RisingRate=50.000000
     Physics=PHYS_Projectile
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=1.500000
     DrawType=DT_Sprite
     Style=STY_Translucent
     Texture=Texture'NyanCatDeemerMiniBETA.Skins.NC1_a02'
     DrawScale=2.000000
     bUnlit=True
}
